org.springframework.r2dbc.core

## Interface DatabaseClient.Builder

- Enclosing interface:
    DatabaseClient

      public static interface DatabaseClient.Builder

  A mutable builder for creating a `DatabaseClient`.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `DatabaseClient.Builder` | `apply(Consumer<DatabaseClient.Builder> builderConsumer)` Configures a `Consumer` to configure this builder.
    `DatabaseClient.Builder` | `bindMarkers(BindMarkersFactory bindMarkers)` Configure the `BindMarkers` to be used.
    `DatabaseClient` | `build()` Build the `DatabaseClient` instance.
    `DatabaseClient.Builder` | `connectionFactory(io.r2dbc.spi.ConnectionFactory factory)` Configure the `R2DBC connector`.
    `DatabaseClient.Builder` | `executeFunction(ExecuteFunction executeFunction)` Configure a `ExecuteFunction` to execute `Statement` objects.
    `DatabaseClient.Builder` | `namedParameters(boolean enabled)` Configure whether to use named parameter expansion.

- - ### Method Detail

    - #### bindMarkers

          DatabaseClient.Builder bindMarkers(BindMarkersFactory bindMarkers)

      Configure the `BindMarkers` to be used.

    - #### connectionFactory

          DatabaseClient.Builder connectionFactory(io.r2dbc.spi.ConnectionFactory factory)

      Configure the `R2DBC connector`.

    - #### executeFunction

          DatabaseClient.Builder executeFunction(ExecuteFunction executeFunction)

      Configure a `ExecuteFunction` to execute `Statement` objects.
      See Also:
        `Statement.execute()`

    - #### namedParameters

          DatabaseClient.Builder namedParameters(boolean enabled)

      Configure whether to use named parameter expansion. Defaults to `true`.
      Parameters:
        `enabled` - `true` to use named parameter expansion; `false` to disable named parameter expansion
      See Also:
        `NamedParameterExpander`

    - #### apply

          DatabaseClient.Builder apply(Consumer<DatabaseClient.Builder> builderConsumer)

      Configures a `Consumer` to configure this builder.

    - #### build

          DatabaseClient build()

      Build the `DatabaseClient` instance.